'use strict';

exports.__esModule = true;
exports.SOURCES_PATH = exports.EXCLUDES_PATH = undefined;

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _appRootPath = require('app-root-path');

var _appRootPath2 = _interopRequireDefault(_appRootPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * BUILT-IN CONSTANTS
 * ==================
 */


var excludedPaths = [];

/**
 * Can we strip this?
 * Because travis will detect lib as the build destination directory
 */
if (process.env.BABEL_NAMESPACE_TEST_RUNNER) {
    excludedPaths = _fs2.default.readdirSync(_appRootPath2.default.path).filter(function (pathName) {
        // Is it hidden file?
        if (/^(\.|src|tests)/.test(pathName)) {
            return false;
        }

        try {
            var stats = _fs2.default.statSync(_appRootPath2.default.resolve(pathName));

            return stats.isDirectory();
        } catch (err) {
            return false;
        }
    });
}

/**
 * Is it necessary?
 */
var EXCLUDES_PATH = excludedPaths.concat(['node_modules']);

/**
 * TODO:
 * - Implement the CommonJS Packages spec details a few ways that can indicate the structure
 *   of the package using a "directories" field. If you look at npm's package.json, you'll see that
 *   it has directories for doc, lib, and man.
 */
var SOURCES_PATH = ['src'];

exports.EXCLUDES_PATH = EXCLUDES_PATH;
exports.SOURCES_PATH = SOURCES_PATH;